| darcs-2.4.4: a distributed, interactive, smart revision control system | Source code | Contents | Index

Darcs.CommandsAux

Synopsis

check_paths :: Patchy p => [DarcsFlag] -> FL p -> IO ()
malicious_patches :: Patchy p => [Sealed2 p] -> [Sealed2 p]
has_malicious_path :: Patchy p => p -> Bool

Documentation

check_paths :: Patchy p => [DarcsFlag] -> FL p -> IO () | Source

A convenience function to call from all darcs command functions before applying any patches. It checks for malicious paths in patches, and prints an error message and fails if it finds one.

malicious_patches :: Patchy p => [Sealed2 p] -> [Sealed2 p] | Source

Filter out patches that contains some malicious file path

has_malicious_path :: Patchy p => p -> Bool | Source

Produced by Haddock version 2.4.2